Subject: Re: [bug#60172] [PATCH 0/2] gnu: Add cl-coleslaw.

From: Guillaume Le Vaillant <[email-masked]>
Date: Mon, 19 Dec 2022 13:29:31 +0000

"Paul A. Patience" <[email-masked]> skribis:

> Hi,
>
> This patch series adds the Common Lisp static site generator called Coleslaw.
> I tried to use G-expressions for the arguments field, but writing
>
> --8<---------------cut here---------------start------------->8---
> #:asd-systems #~'("coleslaw" "coleslaw-cli")
> --8<---------------cut here---------------end--------------->8---
>
>
> results in a stacktrace and the following error:
>
> --8<---------------cut here---------------start------------->8---
> ice-9/boot-9.scm:1685:16: In procedure raise-exception:
> In procedure cdr: Wrong type argument in position 1 (expecting pair): #<gexp (quote ("coleslaw" "coleslaw-cli")) /home/paul/external/guix/gnu/packages/lisp-xyz.scm:781:28 7f28ea908270>
> --8<---------------cut here---------------end--------------->8---
>
> which I cannot decipher.

Maybe #~(list "coleslaw" "coleslaw-cli") would have worked...

> Paul A. Patience (2):
>   gnu: Add cl-closure-template.
>   gnu: Add cl-coleslaw.
>
>  gnu/packages/lisp-xyz.scm | 104 ++++++++++++++++++++++++++++++++++++++
>  1 file changed, 104 insertions(+)

cl-closure-template is already in Guix (added in
608999be5951588c100fb527df7cb21a3e478468), so I only pushed the second
patch as 2565616ab3635eae1161a97974e80928400ae624.
Thanks.